# eric4.Helpviewer.Network.NetworkProtocolUnknownErrorReply

Module implementing a QNetworkReply subclass reporting an unknown protocol error.

### Global Attributes

None

### Classes

NetworkProtocolUnknownErrorReply | Class implementing a QNetworkReply subclass reporting an unknown protocol error.

### Functions

None

## NetworkProtocolUnknownErrorReply

Class implementing a QNetworkReply subclass reporting an unknown protocol error.

### Derived from

QNetworkReply

### Class Attributes

None

### Class Methods

None

### Methods

NetworkProtocolUnknownErrorReply | Constructor
__fireSignals | Private method to send some signals to end the connection.
abort | Public slot to abort the operation.
bytesAvailable | Public method to determined the bytes available for being read.

### Static Methods

None

#### NetworkProtocolUnknownErrorReply (Constructor)

NetworkProtocolUnknownErrorReply(protocol, parent = None)

Constructor

protocol
  protocol name (string or QString)
parent
  reference to the parent object (QObject)

#### NetworkProtocolUnknownErrorReply.__fireSignals

__fireSignals()

Private method to send some signals to end the connection.

#### NetworkProtocolUnknownErrorReply.abort

abort()

Public slot to abort the operation.

#### NetworkProtocolUnknownErrorReply.bytesAvailable

bytesAvailable()

Public method to determined the bytes available for being read.

Returns:
  bytes available (integer)

Up